### Constructor

# Gtk TreeStore newv

deprecated: 4.10

#### Declaration [src]

    GtkTreeStore*
    gtk_tree_store_newv (
      int n_columns,
      GType* types
    )

#### Description [src]

Creates a new tree store.

This constructor is meant for language bindings.

Deprecated since: 4.10

Use `GtkTreeListModel` instead.

#### Parameters

`n_columns`

  Type: `int`

  Number of columns in the tree store.

`types`

  Type: An array of `GType`

  An array of `GType` types for the columns, from first to last.

  The length of the array is specified in the `n_columns` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkTreeStore`

A new `GtkTreeStore`

The caller of the function takes ownership of the data, and is responsible for freeing it.